Bug 142514 - Multiple emails not allowed in administrator email
Summary: Multiple emails not allowed in administrator email
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer   
(Show other bugs)
Version: 360
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Robin Norwood
QA Contact: Max Spevack
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 145824
TreeView+ depends on / blocked
 
Reported: 2004-12-10 03:46 UTC by Matthew Davis
Modified: 2007-08-06 15:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-08 16:02:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthew Davis 2004-12-10 03:46:53 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
In 3.4 you were able to specify multiple email addresses
(user1@blah.com,blah@user.com,etc), but now putting that in tells me
its an invalid email address.

Version-Release number of selected component (if applicable):
rhns-server-3.6.1-45

How reproducible:
Always

Steps to Reproduce:
1. Start install
2. Put more than 1 address in admin email

Actual Results:  "Invalid email address"

Expected Results:  Should have allowed it

Additional info:

Comment 2 Robin Norwood 2004-12-11 14:59:52 UTC
Fixed in CVS, but too late for rhn360 - will go into rhn370.

test plan:

1) Begin a satellite install.
2) In the Admin E-mail text box, enter a list of addresses seperated
by commas and/or spaces.
  o Expect that each individual address will be tested for validity -
so if you enter some valid email addresses and an invalid e-mail
address, the UI will complain about the invalid one.

Comment 3 Matthew Davis 2004-12-13 13:30:47 UTC
Good to hear, thanks.

Comment 4 Vlady Zlatkin 2005-02-22 14:57:08 UTC
fails,  on 3.7.0-35

multiple e-mail addresses works, but syntax checking fails

this e-mail address is accepted:
testing123!.@

Comment 5 Robin Norwood 2005-03-02 16:12:31 UTC
Fixed in CVS.

Test plan: See comment #2 and comment #4

Comment 6 Max Spevack 2005-03-04 19:52:16 UTC
Fix verified.

Comment 7 Max Spevack 2005-03-04 19:52:46 UTC
Verified in -47 ISO on rhel-4

Comment 8 Todd Warner 2005-04-08 16:02:29 UTC
mass move: PROD_READY --> CLOSED:CURRENTRELEASE


Note You need to log in before you can comment on or make changes to this bug.